Subject: [Pce] draft-ietf-pce-of-06.txt updated after IETF last call

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 27 Dec 2008 10:38:23 -0000

Hi,

A minor revision of this I-D to handle some requests for clarification made 
during IETF last call.

Also some updates to the IANA section to keep it in line with what IANA are 
doing for PCEP.

Cheers,
Adrian
----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, December 27, 2008 10:15 AM
Subject: I-D Action:draft-ietf-pce-of-06.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
> This draft is a work item of the Path Computation Element Working Group of 
> the IETF.
>
>
> Title           : Encoding of Objective Functions in the Path Computation 
> Element Communication Protocol (PCEP)
> Author(s)       : J. Le Roux, et al.
> Filename        : draft-ietf-pce-of-06.txt
> Pages           : 20
> Date            : 2008-12-27
>
> The computation of one or a set of Traffic Engineering Label Switched
> Paths (TE LSPs) in MultiProtocol Label Switching (MPLS) and
> Generalized MPLS (GMPLS) networks, is subject to a set of one or more
> specific optimization criteria, referred to as objective functions
> (e.g. minimum cost path, widest path, etc.).
>
> In the Path Computation Element (PCE) architecture, a Path
> Computation Client (PCC) may want a path to be computed for one or
> more TE LSPs according to a specific objective function. Thus, the
> PCC needs to instruct the PCE to use the correct objective function.
> Furthermore, it is possible that not all PCEs support the same set of
> objective functions, therefore it is useful for the PCC to be able to
> automatically discover the set of objective functions supported by
> each PCE.
> This document defines extensions to the PCE communication Protocol
> (PCEP) to allow a PCE to indicate the set of objective functions it
> supports. Extensions are also defined so that a PCC can indicate in
> a path computation request the required objective function, and so
> that a PCE can report in a path computation reply the objective
> function that was used for path computation.
>
> This document defines objective function code types for six
> objective functions previously listed in the PCE requirments work,
> and provides the definition of four new metric types that apply to a
> set of synchronized requests.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pce-of-06.txt 

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce